Create a free digital business card, then share it by link, QR code, or NFC tap.

Pixels

Endpoint

GET https://zapped.to/api/pixels/

Authentication

An API key with the pixels:read scope (Read pixels), sent as Authorization: Bearer YOUR_API_KEY.

Example

curl --request GET \
--url 'https://zapped.to/api/pixels/' \
--header 'Authorization: Bearer YOUR_API_KEY' \
Parameters Details Description
search Optional String The search string.
search_by Optional String What field are you searching by. Allowed values are: name, pixel.
type Optional String Allowed values: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat
datetime_field Optional String Allowed values: datetime, last_datetime
datetime_start Optional String Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optional String Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optional String What field to order the results by. Allowed values are: pixel_id, datetime, last_datetime, name.
order_type Optional String The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering.
page Optional Integer The page number that you want results from. Defaults to 1.
results_per_page Optional Integer How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25.

Response example

{
    "data": [
        {
            "id": 1,
            "type": "facebook",
            "name": "Fb Ads",
            "pixel": "1234567",
            "last_datetime": null,
            "datetime": "2026-10-18 09:05:24"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://zapped.to/api/pixels?page=1",
        "last": "https://zapped.to/api/pixels?page=1",
        "next": null,
        "prev": null,
        "self": "https://zapped.to/api/pixels?page=1"
    }
}

Endpoint

GET https://zapped.to/api/pixels/{pixel_id}

Authentication

An API key with the pixels:read scope (Read pixels), sent as Authorization: Bearer YOUR_API_KEY.

Example

curl --request GET \
--url 'https://zapped.to/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer YOUR_API_KEY' \

Response example

{
    "data": {
        "id": 1,
        "type": "facebook",
        "name": "Fb Ads",
        "pixel": "1234567",
        "last_datetime": null,
        "datetime": "2026-10-18 09:05:24"
    }
}

Endpoint

POST https://zapped.to/api/pixels

Authentication

An API key with the pixels:write scope (Create, change and delete pixels), sent as Authorization: Bearer YOUR_API_KEY.

Parameters Details Description
type Required String Allowed values: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat
name Required String -
pixel Required String -

Example

curl --request POST \
--url 'https://zapped.to/api/pixels' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \

Response example

{
    "data": {
        "id": 1
    }
}

Endpoint

POST https://zapped.to/api/pixels/{pixel_id}

Authentication

An API key with the pixels:write scope (Create, change and delete pixels), sent as Authorization: Bearer YOUR_API_KEY.

Parameters Details Description
type Optional String Allowed values: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat
name Optional String -
pixel Optional String -

Example

curl --request POST \
--url 'https://zapped.to/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \

Response example

{
    "data": {
        "id": 1
    }
}

Endpoint

DELETE https://zapped.to/api/pixels/{pixel_id}

Authentication

An API key with the pixels:write scope (Create, change and delete pixels), sent as Authorization: Bearer YOUR_API_KEY.

Example

curl --request DELETE \
--url 'https://zapped.to/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer YOUR_API_KEY' \